const card = document.querySelector('.card');
const fortuneText = document.getElementById('fortune');
const fortunes = [
  "Great success is coming your way!",
  "New opportunities will knock at your door.",
  "Love and happiness will fill your life.",
  "Your creativity will reach new heights.",
  "Financial stability is on the horizon.",
  "Health and wellness will be your allies.",
  "Travel adventures await you.",
  "Your dreams will start to materialize."
];

card.addEventListener('click', () => {
  card.classList.toggle('flipped');
  if (card.classList.contains('flipped')) {
    const randomFortune = fortunes[Math.floor(Math.random() * fortunes.length)];
    fortuneText.textContent = randomFortune;
  }
});